> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bulk Operation

> Get the details about a specific bulk operation.



## OpenAPI

````yaml get /bulk-operations/{id}
openapi: 3.1.0
info:
  title: Bulk Operations API
  description: >-
    API for performing bulk operations for various resources


    ### Resource identifier format


    Resource identifiers (the `id` field and related global-identifier fields)
    are returned as JSON

    integers by default. To receive them as strings instead, send the

    `X-Loop-Global-Identifier-Type: string` request header.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Bulk Operations
    description: Operations related to managing resources in bulk
paths:
  /bulk-operations/{id}:
    get:
      tags:
        - Bulk Operations
      summary: Get Bulk Operation
      description: Get the details about a specific bulk operation.
      operationId: getBulkOperation
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          description: The unique identifier for the bulk operation, created by Loop.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  bulk_operation:
                    $ref: '#/components/schemas/BulkOperationResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
      security:
        - read: []
components:
  schemas:
    BulkOperationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier for the bulk operation, created by Loop.
          examples:
            - 641174584320376000
        status:
          type:
            - string
            - 'null'
          description: The status of the bulk operation.
          enum:
            - pending
            - processed_with_failures
            - processed_successful
        pending_count:
          type: integer
          format: int32
          description: The number of pending jobs.
          examples:
            - 1
        failed_count:
          type: integer
          format: int32
          description: The number of failed jobs.
          examples:
            - 0
        success_count:
          type: integer
          format: int32
          description: The number of successful jobs.
          examples:
            - 0
        created_at:
          type: string
          format: date-time
          description: The date and time at which the bulk operation was created.
          examples:
            - '2023-04-25T13:25:00-05:00'
        updated_at:
          type: string
          format: date-time
          examples:
            - '2023-04-27T13:25:00-05:00'
          description: The date and time at which the bulk operation was updated.
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
    NotFoundResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          examples:
            - Resource not found.
  securitySchemes:
    read:
      type: apiKey
      in: header
      name: X-Authorization
      description: 'API Scope: "Bulk Operations (read)"'
      x-scope: Bulk Operations (Read)

````